---@meta

---@class UWG_ShieldBar_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SizeBox_Foreground USizeBox
---@field SizeBox_Current USizeBox
---@field ShieldCurrent UBorder
---@field Shield_Foreground UBorder
---@field DamageTypeIcon_2 UImage
---@field CurrentProgressBar UProgressBar
---@field BackgroundProgressBar UProgressBar
---@field CurrentPercentValue double
---@field Repair boolean
---@field AnimationIncrement double
---@field CurrentWidth double
---@field ShieldBarAnimTimer FTimerHandle
---@field AnimTargetSizeBox USizeBox
---@field ImmediateChangeSizeBox USizeBox
local UWG_ShieldBar_C = {}

---@param NewShieldValue double
---@param Repair boolean
function UWG_ShieldBar_C:UpdateBar(NewShieldValue, Repair) end
function UWG_ShieldBar_C:StartAnim() end
function UWG_ShieldBar_C:AnimateShieldBar() end
---@param EntryPoint int32
function UWG_ShieldBar_C:ExecuteUbergraph_WG_ShieldBar(EntryPoint) end


